net.corda.node.services.persistence

## Class DBTransactionMappingStorage

- net.corda.node.services.persistence.DBTransactionMappingStorage

- All Implemented Interfaces:
    StateMachineRecordedTransactionMappingStorage

      public class DBTransactionMappingStorage
      implements StateMachineRecordedTransactionMappingStorage

  Database storage of a txhash -> state machine id mapping.

  Mappings are added as transactions are persisted by ServiceHub.recordTransaction, and never deleted. Used in the RPC API to correlate transaction creation with flows.

  See Also:
    ServiceHub.recordTransaction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBTransactionMappingStorage()` Database storage of a txhash -> state machine id mapping.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMapping(StateMachineRunId stateMachineRunId, SecureHash transactionId)`
    `kotlin.Pair<java.util.List,rx.Observable>` | `track()`

    - ### Methods inherited from interface net.corda.core.node.services.StateMachineRecordedTransactionMappingStorage

      `addMapping, track`

- - ### Constructor Detail

    - #### DBTransactionMappingStorage

          public DBTransactionMappingStorage()

      Database storage of a txhash -> state machine id mapping.

      Mappings are added as transactions are persisted by ServiceHub.recordTransaction, and never deleted. Used in the RPC API to correlate transaction creation with flows.

      See Also:
        ServiceHub.recordTransaction

  - ### Method Detail

    - #### addMapping

          public void addMapping(StateMachineRunId stateMachineRunId,
                                 SecureHash transactionId)

    - #### track

          public kotlin.Pair<java.util.List,rx.Observable> track()